VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
HostMessage Class Referencefinal
Common Hosting SDK Implementation Helper Classes

Example implementation of IMessage. More...

`#include <hostclasses.h>`

Inheritance diagram for HostMessage:

## Public Member Functions
| HostMessage ()
virtual | ~HostMessage () noexcept
const char * | getMessageID () override
void | setMessageID (const char *messageID) override
IAttributeList * | getAttributes () override
Public Member Functions inherited from IMessage
virtual void | setMessageID (FIDString id)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Static Public Attributes inherited from IMessage
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Example implementation of IMessage.

## Constructor & Destructor Documentation

## ◆ HostMessage()

HostMessage | ( |  | ) |

## ◆ ~HostMessage()

~HostMessage | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ getMessageID()

const char * getMessageID | ( |  | ) |
| override virtual

Implements IMessage.

## ◆ setMessageID()

void setMessageID | ( | const char * | messageID | ) |
| override

## ◆ getAttributes()

IAttributeList * getAttributes | ( |  | ) |
| override virtual

Implements IMessage.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.